# coding: utf-8
"""
.. _retrieve-kpn-fax:

Bla Bla bla
=============================

Command per
utilizzo::

  dj sample

:-d: variabile Booleana per cancellare il messaggi una volta recuperati
:-l: variabile Numero per limitare il numero di messaggi recuperare
:-v: variabile Booleana per visualizzare i print
:-b, --backup: backup messages in
"""


import re
import os
import sys
import email
import tempfile
import datetime
import logging
try:
    from logutils.colorize import ColorizingStreamHandler as StreamHandler
except ImportError:
    from logging import StreamHandler

from django.core.mail.message import EmailMessage
from django.core.management.base import BaseCommand
from django.conf import settings
from django.core import mail

from jmb_python_module import utils

class Command(BaseCommand):

    """Get all messages from configured Host
    """
    help = "Wao!"

    output_transaction = True

    def add_arguments(self, parser):
        # -c enables logging using store_true
        parser.add_argument('-c', '--console', action='store_true', default=False,
                    help='Debug - write logging to console')
        # -q changes opt --verbose setting to const
        parser.add_argument("-q", "--quiet",
                    action="store_const", const=0, dest="verbose")
        # limin is an integer
        parser.add_argument('-L', '--limit', dest='limit', type=int, help='Limit Messages', default=1000)
        parser.add_argument('-l', '--debug-level', default='info',
                    help='Set debug level (debug, info, warnings) for console', )
        parser.add_argument('-f', '--file', dest='filename', help='Read file in argument', default=None)
        parser.add_argument('-b', '--backup', action='store_true',
                    help='Keep a backup of retrieved email in ...',)
        parser.add_argument('optional_argument', help='this is a sample for optional arg',
                            default=None, nargs="?")


    def handle(self, *args, **options):

        level = getattr(logging,  options.get('debug_level').upper())
        if options.get('console'):
            console_handler = StreamHandler()
            console_handler.setLevel(level)
            utils.logger.addHandler(console_handler)
            utils.logger.setLevel(level)

            utils.logger.debug("Test DEBUG")
            utils.logger.info("Test INFO")
            utils.logger.warn("Test WARN")
            utils.logger.error("Test ERROR")
            utils.logger.critical("Test CRITIC")
