# -*- coding: utf-8 -*-
# Questo risolve il problema di avere un settings.py per test e per docs
# Ovviamente va fatto puntare qui DJANGO_SETTINGS_MODULE
import os
import django
ugettext = lambda s: s

ADMINS = (
    ('Supporto thunder', 'support@thundersystems.it'),
    )
DATABASES = {
    'default' : {
        'ENGINE' : "django.db.backends.sqlite3",
        'NAME': os.path.join(os.path.dirname(__file__), 'jmb_python_module.db'),
        }
    }
INSTALLED_APPS = [
    'jmb_python_module',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    'django_nose',                  
    ]
if django.VERSION[1] < 7:
    INSTALLED_APPS += ['south']
else:
    MIDDLEWARE_CLASSES = []

ROOT_URLCONF = 'jmb_python_module.urls'
TEST_RUNNER = 'django_nose.NoseTestSuiteRunner'
SOUTH_TESTS_MIGRATE = False
SECRET_KEY='xxx'

STATIC_URL = '/static/'

# try:
#     from jmb_python_module.tests.local_settings import *
# except ImportError:
#     pass

#cms settings
CMS_ENABLED = False
if CMS_ENABLED:
    CMS_LANGUAGES = (
        ('it', ugettext('Italian')),
        )

    INSTALLED_APPS += (
        'cms',
        'mptt',
        'menus',
        'south',
        # decommentare in caso di utilizzo django-filer
#        'filer',
        'easy_thumbnails',
        )

    MIDDLEWARE_CLASSES = (
        'cms.middleware.multilingual.MultilingualURLMiddleware',
        'cms.middleware.page.CurrentPageMiddleware',
        'cms.middleware.user.CurrentUserMiddleware',
        'cms.middleware.toolbar.ToolbarMiddleware',
        )

    TEMPLATE_CONTEXT_PROCESSORS = (
        'django.contrib.auth.context_processors.auth',
        'django.core.context_processors.i18n',
        'django.core.context_processors.request',
        'django.core.context_processors.media',
        'django.core.context_processors.static',
        'cms.context_processors.media',
        'sekizai.context_processors.sekizai',
        )

    THUMBNAIL_PROCESSORS = (
        'easy_thumbnails.processors.colorspace',
        'easy_thumbnails.processors.autocrop',
        #'easy_thumbnails.processors.scale_and_crop',
        # decommentare in caso di utilizzo django-filer
        #'filer.thumbnail_processors.scale_and_crop_with_subject_location',
        'easy_thumbnails.processors.filters',
        )

    CMS_TEMPLATES = (
        ('cms/home.html', "Home Template"),
        )


